Forums
in > Search
Welcome to Pinnacle Systems - Forums Sign in | Join | Help

Microsoft .NET Requirements for Studio - Weird!!

Last post 01-23-2014, 8:00 by Covo. 8 replies.
Sort Posts: Previous Next
  •  01-22-2014, 8:13 621072

    Microsoft .NET Requirements for Studio - Weird!!

    I'm obviously well behind the times I know but for the last few years I've happily been running Pinnacle Studio 12 Ultimate on my Win 7 Home (64 bit) primary installation because it did everything I needed (I'm only a fairly basic user).

    Last week I reformatted that partition and installed Win 8 Pro (64 bit) I bought about 6 months ago instead of just reinstalling Win 7 again as part of my annual refresh/reinstall, then upgraded to 8.1 because I decided I actually liked Win 8 (with a few tweaks).

    I also took the opportunity to finally install Pinnacle Studio 14 HD which I bought 18 months ago (told you I was behind the times! Smile). However, now I find it wants Microsoft .NET Framework 3.5.1 before it will install, which is pretty ludicrous to me given I'm already running .NET Framework 4.5.1.  My understanding is that all .NET Framework versions contain all previous versions anyway, in which case my pc has the required .NET 3.5.1 already.

    I thought maybe the installer would finally come to its senses if I started to download 3.5.1 through it, so started that process but it seemed like it was going to attempt to go through the whole download and install process which I certainly don't want to let happen as my reading would suggest that Win 8/8.1 needs .NET 4.5 or above.  Therefore if I did let the 3.5.1 install proceed I figured either Win 8 will not allow it, in which case I'm back to square one unable to install Studio 14 HD, or I'd risk screwing Win 8 and/or other installed programs.

    I did do a search on here before starting this thread and found reference to Win 8 patches for Studio (no specific reference to NET I could see) but assumed that was to get it running properly once it was installed, whereas my problem is getting it installed in the first place.

    Please help!

    Cheers,
    Gary

  •  01-22-2014, 9:08 621082 in reply to 621072

    Re: Microsoft .NET Requirements for Studio - Weird!!

    You do need Framework 3.5 for older programs. Usually these are on the install disc.

    Windows 8 by default does not install 3.5 but can be allowed to do so. In the Control panel, select 'Programs and features'. In that screen on the left is 'Turn Windows features on and off'. Select that and in the list that comes up should be 'Microsoft .NET Framework 3.5.1.  Tick the box and the latest version should download and install.

  •  01-22-2014, 9:57 621085 in reply to 621082

    Re: Microsoft .NET Requirements for Studio - Weird!!

    Thank you very much David - all installed now.  Yes

    The 3.5.1 files were on the DVD too as you suggested, although when I previously elected to allow the install (before I wrote my original post) it went through a process almost identical to what happened when I followed your instructions above i.e. when I did it through control panel. It didn't look to be getting them from the DVD.  Strange..........

  •  01-22-2014, 13:41 621118 in reply to 621085

    Re: Microsoft .NET Requirements for Studio - Weird!!

    It was downloaded from Microsoft so should include any updates.
  •  01-23-2014, 3:05 621157 in reply to 621118

    Re: Microsoft .NET Requirements for Studio - Weird!!

    I have another issue which I've had before and didn't find a reason or solution for.  When Pinnacle sent me my activation keys the email just contained a single letter "G" with nothing else, no attachments.

    See attached screendump.

    [click to view image] 

  •  01-23-2014, 3:33 621161 in reply to 621157

    Re: Microsoft .NET Requirements for Studio - Weird!!

    Covo:

    I have another issue which I've had before and didn't find a reason or solution for.  When Pinnacle sent me my activation keys the email just contained a single letter "G" with nothing else, no attachments.

     
    This is a known issue and has been passed back to the web team yet again.
  •  01-23-2014, 7:15 621186 in reply to 621161

    Re: Microsoft .NET Requirements for Studio - Weird!!

    Thanks jjn! Yes

    Pinnacle are obviously quick off the mark as I remember now that was what I was told when I had the same problem at least two years ago ............... Sad

  •  01-23-2014, 7:18 621187 in reply to 621186

    Re: Microsoft .NET Requirements for Studio - Weird!!

    Notice my use of the term yet again.. Sad
  •  01-23-2014, 8:00 621191 in reply to 621187

    Re: Microsoft .NET Requirements for Studio - Weird!!

    Yep, I did notice that.  Sad
View as RSS news feed in XML
Copyright © 2012 Corel, Inc.. Terms of Use | Privacy Policy